unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

uses
    fjutil, iExpr;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
    FBox.SetCaption(Self);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
    Exp: TTokenizer;
    Node: TNode;
begin
    try
        Exp := TTokenizer.Create(Edit1.Text);
        Node := Exp.GetExp();
        Exp.Free;
        Edit2.Text := Node.PrintExp();
        Edit3.Text := FloatToStr(Node.Execute(Memo1.Lines));
        Node.Free;
    except
        on E:Exception do MBox.ErrorOk(E.Message);
    end;
end;

end.

